- Qt 6.5
- Qt 3D
- QML Types
- Qt3D.Extras
- SphereMesh
- Qt 6.5.1 Reference Documentation

# SphereMesh QML Type

A spherical mesh. More...

Import Statement: | import Qt3D.Extras 2.5
Instantiates: | QSphereMesh

- List of all members, including inherited members

## Properties

- generateTangents : bool
- radius : real
- rings : int
- slices : int

## Detailed Description

## Property Documentation

generateTangents : bool

Holds the value of the automatic tangent vectors generation flag. Tangent vectors are orthogonal to normal vectors.

radius : real

Holds the radius of the sphere.

rings : int

Holds the number of rings in the mesh.

slices : int

Holds the number of slices in the mesh.